<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
            <span>Leasing Tenor Provide Upload</span>
            </h5>
            <p-dataTable
                [value]="leasingComponentsUpload"
                [responsive]="true">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11" style="margin-right: 10px;">
                        <label class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-left label-upload">
                            <i class="fa fa-upload" aria-hidden="true"></i><span class="label-uploaded" >Browse</span>           
                            <input type="file" (change)="onFileChange($event)" multiple="false" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" hidden/>
                        </label>
                    </div>
                </p-header>
                <p-column header="{{'mpmApp.priceComponent.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="idLeasingFincoy">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.idLeasingFincoy}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.leasingTenorProvide.idProduct'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idProduct}}
                    </ng-template>
                </p-column>
                <p-column header="tenor" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.tenor | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.leasingTenorProvide.installment'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.installment | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.leasingTenorProvide.downPayment'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.downPayment | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.leasingTenorProvide.dateFrom'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dateFrom | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.leasingTenorProvide.dateThru'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateThru | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                </p-column>
            </p-dataTable>
            <div class="col-md-12">
                <div class="pull-right">
                    <button pButton type="button" data-dismiss="modal" (click)="clear()" label="{{'entity.action.cancel' | translate}}" icon="fa-ban"
                        class="ui-button-danger flat-label-button">
                    </button>
                    <button pButton type="submit" (click) = "saveList()" class="ui-button-primary" label="Simpan" style="margin-top: 10px;"></button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>